=== modified file 'bzrlib/delta.py'
--- bzrlib/delta.py	2006-09-21 22:02:58 +0000
+++ bzrlib/delta.py	2006-09-21 23:23:03 +0000
@@ -185,7 +185,6 @@
     old_path, old_class, old_kind, old_file_id, old_entry = get_next(old_files)
     new_path, new_class, new_kind, new_file_id, new_entry = get_next(new_files)
 
-
     def check_matching(old_path, old_entry, new_path, new_entry):
         """We have matched up 2 file_ids, check for changes."""
         assert old_entry.kind == new_entry.kind
@@ -252,7 +251,7 @@
             assert entry.file_id not in added
             added[entry.file_id] = path, entry
 
-    while old_path or new_path:
+    while old_path is not None or new_path is not None:
         # list_files() returns files in alphabetical path sorted order
         if old_path == new_path:
             if old_file_id == new_file_id:

=== modified file 'bzrlib/revisiontree.py'
--- bzrlib/revisiontree.py	2006-09-21 22:02:58 +0000
+++ bzrlib/revisiontree.py	2006-09-21 23:23:03 +0000
@@ -100,7 +100,6 @@
     def list_files(self, include_root=False):
         # The only files returned by this are those from the version
         entries = self.inventory.iter_entries()
-        import pdb; pdb.set_trace()
         if not include_root:
             # skip the root for compatability with the current apis.
             entries.next()

=== modified file 'bzrlib/tests/test_tree.py'
--- bzrlib/tests/test_tree.py	2006-08-22 16:14:17 +0000
+++ bzrlib/tests/test_tree.py	2006-09-21 23:23:03 +0000
@@ -62,10 +62,11 @@
     calls = []
 
     def compare(self, want_unchanged=False, specific_files=None,
-        extra_trees=None, require_versioned=False):
+        extra_trees=None, require_versioned=False, include_root=False):
         self.calls.append(
             ('compare', self.source, self.target, want_unchanged,
-             specific_files, extra_trees, require_versioned)
+             specific_files, extra_trees, require_versioned, 
+             include_root)
             )
     
     @classmethod
@@ -88,19 +89,23 @@
             # trivial usage
             tree.changes_from(tree2)
             # pass in all optional arguments by position
-            tree.changes_from(tree2, 'unchanged', 'specific', 'extra', 'require')
+            tree.changes_from(tree2, 'unchanged', 'specific', 'extra', 
+                              'require', True)
             # pass in all optional arguments by keyword
             tree.changes_from(tree2,
                 specific_files='specific',
                 want_unchanged='unchanged',
                 extra_trees='extra',
                 require_versioned='require',
+                include_root=True,
                 )
         finally:
             InterTree._optimisers = old_optimisers
         self.assertEqual(
             [
-             ('compare', tree2, tree, False, None, None, False),
-             ('compare', tree2, tree, 'unchanged', 'specific', 'extra', 'require'),
-             ('compare', tree2, tree, 'unchanged', 'specific', 'extra', 'require'),
+             ('compare', tree2, tree, False, None, None, False, False),
+             ('compare', tree2, tree, 'unchanged', 'specific', 'extra',
+              'require', True),
+             ('compare', tree2, tree, 'unchanged', 'specific', 'extra', 
+              'require', True),
             ], RecordingOptimiser.calls)

